//
//  MobeleaderLocationGPS.h
//  MobeleaderUtils
//
//  Created by Mobeleader on 20/1/17.
//  Copyright © 2017 Beleader Internet Marketing S.L. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <CoreLocation/CoreLocation.h>

@protocol MobeleaderLocationProtocol
@optional
-(void)onError:(NSString *)error;
-(void)locationCollected;
-(void)moreLocationCollected;
-(void)locationEnabled:(BOOL)enabled;
-(void)newLocationAcquired;
@end

@interface MobeleaderLocationGPS : NSObject <CLLocationManagerDelegate>

@property (retain) id delegate;
@property (nonatomic, retain) NSString *userDefaultsPrefix;

-(void)getLocation;

@end
